<template>
  <div
    class="ui input icon"
    :class="{ fluid: fluid }">
    <input
      type="tel"
      v-model="phone"
      v-bind="attrs">
  </div>
</template>

<script>
export default {
  name: 'PhoneInput',
  inheritAttrs: false,
  props: {
    value: {
      type: String,
      default: '',
    },
    fluid: {
      type: Boolean,
      default: false,
    },
  },
  data() {
    return {
      attrs: {
        placeholder: 'Номер телефона',
      },
    };
  },
  computed: {
    phone: {
      get() {
        return this.value;
      },
      set(newValue) {
        this.$emit('input', newValue);
      },
    },
  },
};
</script>

<style scoped lang="scss">
  .invalid input,
  .invalid .multiselect__tags {
    border-color: #e13c3c !important;
  }
  .helper__input._phone {
    .ui.input {
      width: 100%;
    }
  }
</style>
